### Hierarchy

- KeyPairHelper
- RemoteSigner
  - RemoteKeyPairHelper

### Implemented by

- RpcKeyPair

## Index

### Methods

- checkSig
- createKeyPair
- decryptFields
- decryptFile
- decryptMessage
- encryptFields
- encryptFile
- encryptMessage
- encryptPermissionsFields
- generateMnemonicPhrase
- getAccessToken
- getPublicKey
- setAccessToken
- signMessage

## Methods

### checkSig

- checkSig(data: string, sig: string): Promise<boolean>

- Inherited from MessageSigner.checkSig

  - Defined in utils/keypair/MessageSigner.ts:5

  #### Parameters

  - ##### data: string

  - ##### sig: string

  #### Returns Promise<boolean>

### createKeyPair

- createKeyPair(passPhrase: string): Promise<KeyPair>

- Inherited from KeyPairHelper.createKeyPair

  - Defined in utils/keypair/KeyPairHelper.ts:8

  #### Parameters

  - ##### passPhrase: string

  #### Returns Promise<KeyPair>

### decryptFields

- decryptFields(fields: Map<string, string>, passwords?: Map<string, string>): Promise<Map<string, string>>

- Inherited from MessageDecrypt.decryptFields

  - Defined in utils/keypair/MessageDecrypt.ts:5

  #### Parameters

  - ##### fields: Map<string, string>

  - ##### Optional passwords: Map<string, string>

  #### Returns Promise<Map<string, string>>

### decryptFile

- decryptFile(file: string, filedName: string, password?: string): Promise<string>

- Inherited from MessageDecrypt.decryptFile

  - Defined in utils/keypair/MessageDecrypt.ts:17

  Decrypt file. Base64 string

  #### Parameters

  - ##### file: string

    base64 encrypted data

  - ##### filedName: string

    key of field for auto-generation password for decrypt

  - ##### Optional password: string

    optional if you already have password for file. apply password instead auto-generation password.

  #### Returns Promise<string>

  decrypted file Base64 data.

### decryptMessage

- decryptMessage(senderPk: string, encrypted: string): Promise<string>

- Inherited from MessageDecrypt.decryptMessage

  - Defined in utils/keypair/MessageDecrypt.ts:3

  #### Parameters

  - ##### senderPk: string

  - ##### encrypted: string

  #### Returns Promise<string>

### encryptFields

- encryptFields(fields: Map<string, string>): Promise<Map<string, string>>

- Inherited from MessageEncrypt.encryptFields

  - Defined in utils/keypair/MessageEncrypt.ts:7

  #### Parameters

  - ##### fields: Map<string, string>

  #### Returns Promise<Map<string, string>>

### encryptFile

- encryptFile(file: string, fieldName: string): Promise<string>

- Inherited from MessageEncrypt.encryptFile

  - Defined in utils/keypair/MessageEncrypt.ts:11

  #### Parameters

  - ##### file: string

  - ##### fieldName: string

  #### Returns Promise<string>

### encryptMessage

- encryptMessage(recipientPk: string, message: string): Promise<string>

- Inherited from MessageEncrypt.encryptMessage

  - Defined in utils/keypair/MessageEncrypt.ts:5

  #### Parameters

  - ##### recipientPk: string

  - ##### message: string

  #### Returns Promise<string>

### encryptPermissionsFields

- encryptPermissionsFields(recipient: string, data: Map<string, AccessRight>): Promise<string>

- Inherited from MessageEncrypt.encryptPermissionsFields

  - Defined in utils/keypair/MessageEncrypt.ts:9

  #### Parameters

  - ##### recipient: string

  - ##### data: Map<string, AccessRight>

  #### Returns Promise<string>

### generateMnemonicPhrase

- generateMnemonicPhrase(): Promise<string>

- Inherited from KeyPairHelper.generateMnemonicPhrase

  - Defined in utils/keypair/KeyPairHelper.ts:10

  #### Returns Promise<string>

### getAccessToken

- getAccessToken(): string

- Inherited from RemoteSigner.getAccessToken

  - Defined in utils/keypair/RemoteSigner.ts:5

  #### Returns string

### getPublicKey

- getPublicKey(): string

- Inherited from MessageSigner.getPublicKey

  - Defined in utils/keypair/MessageSigner.ts:7

  #### Returns string

### setAccessToken

- setAccessToken(accessToken: string): void

- Inherited from RemoteSigner.setAccessToken

  - Defined in utils/keypair/RemoteSigner.ts:3

  #### Parameters

  - ##### accessToken: string

  #### Returns void

### signMessage

- signMessage(data: string): Promise<string>

- Inherited from MessageSigner.signMessage

  - Defined in utils/keypair/MessageSigner.ts:3

  #### Parameters

  - ##### data: string

  #### Returns Promise<string>

Generated using TypeDoc